<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.ss.formula.Formula (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.ss.formula.Formula (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/Formula.html"
               title="class in org.apache.poi.ss.formula">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/class-use/Formula.html"
               target="_top">Frames</a></li>
        <li><a href="Formula.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.ss.formula.Formula" class="title">Uses of Class<br>org.apache.poi.ss.formula.Formula
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a href="../../../../../../org/apache/poi/ss/formula/Formula.html"
                                                    title="class in org.apache.poi.ss.formula">Formula</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.record">org.apache.poi.hssf.record</a></td>
                    <td class="colLast">
                        <div class="block">Record package contains class representations for XLS binary strutures.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.record.cf">org.apache.poi.hssf.record.cf</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula">org.apache.poi.ss.formula</a></td>
                    <td class="colLast">
                        <div class="block">This package contains common internal POI code for manipulating formulas.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hssf.record">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/formula/Formula.html"
                                   title="class in org.apache.poi.ss.formula">Formula</a> in <a
                            href="../../../../../../org/apache/poi/hssf/record/package-summary.html">org.apache.poi.hssf.record</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/record/package-summary.html">org.apache.poi.hssf.record</a> that return <a
                                href="../../../../../../org/apache/poi/ss/formula/Formula.html"
                                title="class in org.apache.poi.ss.formula">Formula</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/formula/Formula.html"
                                    title="class in org.apache.poi.ss.formula">Formula</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">OldFormulaRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/OldFormulaRecord.html#getFormula--">getFormula</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/formula/Formula.html"
                                    title="class in org.apache.poi.ss.formula">Formula</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">FormulaRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/FormulaRecord.html#getFormula--">getFormula</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/ss/formula/Formula.html"
                                    title="class in org.apache.poi.ss.formula">Formula</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CFRuleBase.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/CFRuleBase.html#getFormula1--">getFormula1</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/ss/formula/Formula.html"
                                    title="class in org.apache.poi.ss.formula">Formula</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CFRuleBase.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/CFRuleBase.html#getFormula2--">getFormula2</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/record/package-summary.html">org.apache.poi.hssf.record</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/formula/Formula.html"
                                title="class in org.apache.poi.ss.formula">Formula</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected static int</code></td>
                            <td class="colLast"><span class="typeNameLabel">CFRuleBase.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/CFRuleBase.html#getFormulaSize-org.apache.poi.ss.formula.Formula-">getFormulaSize</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/Formula.html"
                                    title="class in org.apache.poi.ss.formula">Formula</a>&nbsp;formula)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">CFRuleBase.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/CFRuleBase.html#setFormula1-org.apache.poi.ss.formula.Formula-">setFormula1</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/Formula.html"
                                    title="class in org.apache.poi.ss.formula">Formula</a>&nbsp;formula1)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">CFRuleBase.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/CFRuleBase.html#setFormula2-org.apache.poi.ss.formula.Formula-">setFormula2</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/Formula.html"
                                    title="class in org.apache.poi.ss.formula">Formula</a>&nbsp;formula2)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/hssf/record/package-summary.html">org.apache.poi.hssf.record</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/formula/Formula.html"
                                title="class in org.apache.poi.ss.formula">Formula</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/ArrayRecord.html#ArrayRecord-org.apache.poi.ss.formula.Formula-org.apache.poi.hssf.util.CellRangeAddress8Bit-">ArrayRecord</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/Formula.html"
                                    title="class in org.apache.poi.ss.formula">Formula</a>&nbsp;formula,
                                <a href="../../../../../../org/apache/poi/hssf/util/CellRangeAddress8Bit.html"
                                   title="class in org.apache.poi.hssf.util">CellRangeAddress8Bit</a>&nbsp;range)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.record.cf">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/formula/Formula.html"
                                   title="class in org.apache.poi.ss.formula">Formula</a> in <a
                            href="../../../../../../org/apache/poi/hssf/record/cf/package-summary.html">org.apache.poi.hssf.record.cf</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/record/cf/package-summary.html">org.apache.poi.hssf.record.cf</a> that return <a
                                href="../../../../../../org/apache/poi/ss/formula/Formula.html"
                                title="class in org.apache.poi.ss.formula">Formula</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/ss/formula/Formula.html"
                                    title="class in org.apache.poi.ss.formula">Formula</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Threshold.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/cf/Threshold.html#getFormula--">getFormula</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.formula">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/formula/Formula.html"
                                   title="class in org.apache.poi.ss.formula">Formula</a> in <a
                            href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> that return <a
                                href="../../../../../../org/apache/poi/ss/formula/Formula.html"
                                title="class in org.apache.poi.ss.formula">Formula</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/formula/Formula.html"
                                    title="class in org.apache.poi.ss.formula">Formula</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Formula.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/Formula.html#copy--">copy</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/formula/Formula.html"
                                    title="class in org.apache.poi.ss.formula">Formula</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Formula.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/Formula.html#create-org.apache.poi.ss.formula.ptg.Ptg:A-">create</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                    title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;ptgs)</code>
                                <div class="block">Creates a <a
                                        href="../../../../../../org/apache/poi/ss/formula/Formula.html"
                                        title="class in org.apache.poi.ss.formula"><code>Formula</code></a> object from
                                    a supplied <a href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                                  title="class in org.apache.poi.ss.formula.ptg"><code>Ptg</code></a>
                                    array.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/formula/Formula.html"
                                    title="class in org.apache.poi.ss.formula">Formula</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Formula.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/Formula.html#read-int-org.apache.poi.util.LittleEndianInput-">read</a></span>(int&nbsp;encodedTokenLen,
                                <a href="../../../../../../org/apache/poi/util/LittleEndianInput.html"
                                   title="interface in org.apache.poi.util">LittleEndianInput</a>&nbsp;in)</code>
                                <div class="block">Convenience method for <a
                                        href="../../../../../../org/apache/poi/ss/formula/Formula.html#read-int-org.apache.poi.util.LittleEndianInput-int-"><code>read(int,
                                    LittleEndianInput, int)</code></a></div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/formula/Formula.html"
                                    title="class in org.apache.poi.ss.formula">Formula</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Formula.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/Formula.html#read-int-org.apache.poi.util.LittleEndianInput-int-">read</a></span>(int&nbsp;encodedTokenLen,
                                <a href="../../../../../../org/apache/poi/util/LittleEndianInput.html"
                                   title="interface in org.apache.poi.util">LittleEndianInput</a>&nbsp;in,
                                int&nbsp;totalEncodedLen)</code>
                                <div class="block">When there are no array constants present, <tt>encodedTokenLen</tt>==<tt>totalEncodedLen</tt>
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/formula/Formula.html"
                                title="class in org.apache.poi.ss.formula">Formula</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                    title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">Formula.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/Formula.html#getTokens-org.apache.poi.ss.formula.Formula-">getTokens</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/Formula.html"
                                    title="class in org.apache.poi.ss.formula">Formula</a>&nbsp;formula)</code>
                                <div class="block">Gets the <a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg"><code>Ptg</code></a> array from
                                    the supplied <a href="../../../../../../org/apache/poi/ss/formula/Formula.html"
                                                    title="class in org.apache.poi.ss.formula"><code>Formula</code></a>.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">Formula.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/Formula.html#isSame-org.apache.poi.ss.formula.Formula-">isSame</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/Formula.html"
                                    title="class in org.apache.poi.ss.formula">Formula</a>&nbsp;other)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/Formula.html"
               title="class in org.apache.poi.ss.formula">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/class-use/Formula.html"
               target="_top">Frames</a></li>
        <li><a href="Formula.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
